# API

```@meta
CurrentModule = ClimaCore
```

## DataLayouts

```@docs
DataLayouts
DataLayouts.IJFH
```

## Geometry
```@docs
Geometry.Cartesian12Vector
```

## Domains

```@docs
Domains.IntervalDomain
Domains.RectangleDomain
```

## Meshes

```@docs
Meshes.IntervalMesh
Meshes.Uniform
Meshes.ExponentialStretching
Meshes.EquispacedRectangleMesh
```

## Topologies

```@docs
Topologies
Topologies.IntervalTopology
```

## Spaces

```@docs
Spaces
Spaces.Quadratures.degrees_of_freedom
Spaces.Quadratures.GL
Spaces.Quadratures.Uniform
Spaces.Quadratures.quadrature_points
Spaces.Quadratures.GLL
Spaces.Quadratures.polynomial_degree
Spaces.Quadratures.QuadratureStyle
```

## RecursiveApply

```@docs
RecursiveApply
```

